<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.64
Name: [3] Sekcja postaci binarnej dokumentu konsultacji lekarskiej
Description: Szablon struktury CDA dla sekcji postaci binarnej dokumentu konsultacji lekarskiej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000">
   <title>[3] Sekcja postaci binarnej dokumentu konsultacji lekarskiej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]"
         id="tmp-r-87a4b352-2535-483c-8700-54d7d704224f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/@nullFlavor)">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64'])&lt;=1">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']"
         id="tmp-r-88abf2d8-8a8f-4da1-ba54-313d10392e3d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaOutpatientNoteDocumentBinaryContent): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaOutpatientNoteDocumentBinaryContent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="hl7:code/@code = /hl7:ClinicalDocument/hl7:code/@code and hl7:code/@displayName = /hl7:ClinicalDocument/hl7:code/@displayName">(plCdaOutpatientNoteDocumentBinaryContent): 
                    Kod typu sekcji postaci binarnej dokumentu musi byc zgodny z kodem typu dokumentu.
                </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']/@nullFlavor)">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'])&lt;=1">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.64'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.64']/@nullFlavor)">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.64'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.64'])&lt;=1">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.64'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.1'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.6.1']/@nullFlavor)">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:code[@codeSystem='2.16.840.1.113883.6.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.1'])&lt;=1">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:code[@codeSystem='2.16.840.1.113883.6.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:title)=0">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:title NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']])&gt;=1 and not(hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]/@nullFlavor)">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:confidentialityCode)&lt;=1">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:confidentialityCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:languageCode)&lt;=1">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:languageCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'])&lt;=1">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/@nullFlavor)">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&lt;=1">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'])&lt;=1">(plCdaOutpatientNoteDocumentBinaryContent): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']"
         id="tmp-r-01424fa8-d59a-4ac0-9bd2-892ead2d732c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOutpatientNoteDocumentBinaryContent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.55'">(plCdaOutpatientNoteDocumentBinaryContent): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.55'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaOutpatientNoteDocumentBinaryContent): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.64']
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.64']"
         id="tmp-r-10cd5e26-299f-4663-af01-79630e0eac07">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOutpatientNoteDocumentBinaryContent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.64'">(plCdaOutpatientNoteDocumentBinaryContent): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.64'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaOutpatientNoteDocumentBinaryContent): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:id
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:id"
         id="tmp-r-8fbb1c05-4e17-4f22-b919-4639f6fc495b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOutpatientNoteDocumentBinaryContent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:code[@codeSystem='2.16.840.1.113883.6.1']
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:code[@codeSystem='2.16.840.1.113883.6.1']"
         id="tmp-r-43f7afb0-e521-4399-9f46-765c55398588">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOutpatientNoteDocumentBinaryContent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(plCdaOutpatientNoteDocumentBinaryContent): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:title
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:title"
         id="tmp-r-8bc84029-2356-4255-aa9c-ef224e1990c8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOutpatientNoteDocumentBinaryContent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:text
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:text"
         id="tmp-r-4753a1cd-68eb-465e-b460-07d620d5d8ca">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOutpatientNoteDocumentBinaryContent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaOutpatientNoteDocumentBinaryContent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaOutpatientNoteDocumentBinaryContent): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaOutpatientNoteDocumentBinaryContent): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:confidentialityCode
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:confidentialityCode"
         id="tmp-r-1b2ebff8-fbc3-49d2-a75f-d8994d50cce6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOutpatientNoteDocumentBinaryContent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaOutpatientNoteDocumentBinaryContent): Wartość elementu MUSI wynosić x_BasicConfidentialityKind (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaOutpatientNoteDocumentBinaryContent): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości x_BasicConfidentialityKind (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:languageCode
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:languageCode"
         id="tmp-r-428c5ed8-4d41-40f5-bb65-0b2aabc37d06">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOutpatientNoteDocumentBinaryContent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaOutpatientNoteDocumentBinaryContent): Wartość elementu MUSI wynosić JezykDokumentu Język dokumentu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaOutpatientNoteDocumentBinaryContent): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości JezykDokumentu Język dokumentu (DYNAMICZNE)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15']
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.18']
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.22']]
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.22']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaOutpatientNoteDocumentBinaryContent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaOutpatientNoteDocumentBinaryContent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.24']]
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.24']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaOutpatientNoteDocumentBinaryContent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']]
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaOutpatientNoteDocumentBinaryContent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:entry"
         id="tmp-r-ded081b1-86fd-444d-b0ae-f2f0481d9151">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaOutpatientNoteDocumentBinaryContent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaOutpatientNoteDocumentBinaryContent): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaOutpatientNoteDocumentBinaryContent): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.64
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:component
Item: (plCdaOutpatientNoteDocumentBinaryContent)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.64']/hl7:component"
         id="tmp-r-14adadb9-f7cd-4024-a049-8b1bd0b7b4af">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaOutpatientNoteDocumentBinaryContent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.64-2017-01-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaOutpatientNoteDocumentBinaryContent): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
   </rule>
</pattern>
