<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.13
Name: [4] Przedmiot skierowania na badanie w związku z podejrzeniem choroby zawodowej
Description: Szablon CDA dla przedmiotu skierowania na badanie w związku podejrzeniem choroby zawodowej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000">
   <title>[4] Przedmiot skierowania na badanie w związku z podejrzeniem choroby zawodowej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]"
         id="tmp-r-4b858de1-0961-453b-b432-a0297290dc10">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13'])&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']"
         id="tmp-r-5072e1fd-263c-4df4-98e2-84758a55025f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13']/@nullFlavor)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13'])&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13']
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13']"
         id="tmp-r-46f91fff-1965-4c4a-b775-ef80ef4ed01d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.13'">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.13'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]"
         id="tmp-r-da5b2550-b165-4c0a-b0b5-d452c843963b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="string(@classCode)='ENC'">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość dla @classCode MUSI wynosić 'ENC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="string(@moodCode)='RQO'">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')])&gt;=1 and not(hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]/@nullFlavor)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')])&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:text)&gt;=1 ">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:text jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:id
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:id"
         id="tmp-r-1f0739e6-f75c-40a2-a754-359fac16b163">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]"
         id="tmp-r-ec29f1a7-5b2a-4172-ae51-01bed3d1a456">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="@nullFlavor or (@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4' and @displayName='Poradnia medycyny pracy')">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość elementu MUSI wynosić code '1160' codeSystem '2.16.840.1.113883.3.4424.11.2.4' displayName='Poradnia medycyny pracy'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:text
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:text"
         id="tmp-r-7899a1d7-e376-4e16-84cd-c55e23f97f6f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:reference jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:text/hl7:reference
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:text/hl7:reference"
         id="tmp-r-9d2a302c-20b0-4f84-ade5-915e24b26084">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="@value">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): 
								Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
							</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:effectiveTime
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:effectiveTime"
         id="tmp-r-9120674f-d041-4ac7-ab29-2ce5d992b079">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:priorityCode
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:priorityCode"
         id="tmp-r-e4c0eb83-385e-4ce3-b8f4-f49128cc73c8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość elementu MUSI wynosić PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:reference[hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]]
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:reference[hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-r-9da94dee-b25a-4e36-999b-1b07f3fa0b62">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="string(@typeCode)='REFR'">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość dla @typeCode MUSI wynosić 'REFR'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']])&gt;=1 and not(hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]/@nullFlavor)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']])&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:reference[hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]]/hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:reference[hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]]/hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]"
         id="tmp-r-59a9b0fb-cd84-4ee3-9269-b920247db0d6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.1'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.6.1']/@nullFlavor)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:code[@codeSystem='2.16.840.1.113883.6.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.1'])&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:code[@codeSystem='2.16.840.1.113883.6.1'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:reference[hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]]/hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]/hl7:id
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:reference[hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]]/hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]/hl7:id"
         id="tmp-r-ccb73d61-ef21-4394-808b-4845d20dfb8d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="@root">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="@extension">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:reference[hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]]/hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]/hl7:code[@codeSystem='2.16.840.1.113883.6.1']
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:reference[hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]]/hl7:externalDocument[hl7:code[@codeSystem='2.16.840.1.113883.6.1']]/hl7:code[@codeSystem='2.16.840.1.113883.6.1']"
         id="tmp-r-c88bdcef-15d6-41c9-83d5-06f8df3074ca">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="@code">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="@displayName">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2014-08-14T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
</pattern>
