<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.6
Name: [4] Przedmiot skierowania
Description: Szablon CDA dla przedmiotu skierowania
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000">
   <title>[4] Przedmiot skierowania</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]"
         id="tmp-r-942e4a83-adaf-46ba-964b-43a81ad78485">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6'])&lt;=1">(plCdaRequestedEncounterEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']"
         id="tmp-r-45107b53-3eab-43d4-9a34-b247dd8452eb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaRequestedEncounterEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.6'] | self::hl7:encounter[@classCode='ENC' and @moodCode='RQO'])])">(plCdaRequestedEncounterEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot skierowania" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.6']/@nullFlavor)">(plCdaRequestedEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.6'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.6'])&lt;=1">(plCdaRequestedEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.6'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:encounter)&gt;=1 and not(hl7:encounter/@nullFlavor)">(plCdaRequestedEncounterEntry): element hl7:encounter jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:encounter)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:encounter występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.6']
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.6']"
         id="tmp-r-118608dc-7c8b-4694-a4ec-4bf0e802c3c8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.6'">(plCdaRequestedEncounterEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.6'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaRequestedEncounterEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter"
         id="tmp-r-3732d025-5dcc-4c64-b541-46ecc568a8b7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="string(@classCode)='ENC'">(plCdaRequestedEncounterEntry): Wartość dla @classCode MUSI wynosić 'ENC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaRequestedEncounterEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="string(@moodCode)='RQO'">(plCdaRequestedEncounterEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaRequestedEncounterEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:id | self::hl7:code[@code and @displayName][@codeSystem='2.16.840.1.113883.3.4424.11.2.4'] | self::hl7:text | self::hl7:effectiveTime | self::hl7:priorityCode[@codeSystem='2.16.840.1.113883.5.7'] | self::hl7:entryRelationship[@typeCode='COMP'])])">(plCdaRequestedEncounterEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot skierowania" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaRequestedEncounterEntry): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:id
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:id"
         id="tmp-r-9a637f5e-6194-40f1-a0bf-ab18de303e46">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:code
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:code"
         id="tmp-r-bff69329-25aa-4544-98f3-8a03e2125c4d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="@code">(plCdaRequestedEncounterEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaRequestedEncounterEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="@displayName">(plCdaRequestedEncounterEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaRequestedEncounterEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:text"
         id="tmp-r-8e1ca27b-4f29-4450-9c0f-418de0235a12">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:text/hl7:reference"
         id="tmp-r-aec399bc-0379-4f85-b47b-c71dd41fc45c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:effectiveTime
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:effectiveTime"
         id="tmp-r-59c81d81-18e4-48c0-a112-09d9778be6fd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:priorityCode
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:priorityCode"
         id="tmp-r-0fbf583a-a6e9-4a48-b452-89a0edcacd21">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship"
         id="tmp-r-aa23d988-4ebd-485e-a4d3-aa69985a7985">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="string(@typeCode)='COMP'">(plCdaRequestedEncounterEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaRequestedEncounterEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:procedure[@classCode='PROC' and @moodCode='RQO'] | self::hl7:observation[@classCode='OBS' and @moodCode='RQO'])])">(plCdaRequestedEncounterEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot skierowania" występują niedozwolone elementy.</assert>
      <let name="elmcount" value="count(hl7:procedure|hl7:observation)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="$elmcount&gt;=1">(plCdaRequestedEncounterEntry): wybór (hl7:procedure lub hl7:observation) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="$elmcount&lt;=1">(plCdaRequestedEncounterEntry): wybór (hl7:procedure lub hl7:observation) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:procedure)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:procedure występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:observation)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:observation występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure"
         id="tmp-r-b6a707d1-e9dd-4527-825f-619efe5a335d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="string(@classCode)='PROC'">(plCdaRequestedEncounterEntry): Wartość dla @classCode MUSI wynosić 'PROC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaRequestedEncounterEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="string(@moodCode)='RQO'">(plCdaRequestedEncounterEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaRequestedEncounterEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:id
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:id"
         id="tmp-r-ce0359c8-efe4-45f1-b8f2-4b183a867a38">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:code
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:code"
         id="tmp-r-36f01c1a-92d8-48ba-bad5-0800d5f0bfa0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.6')">(plCdaRequestedEncounterEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.6'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="@code">(plCdaRequestedEncounterEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaRequestedEncounterEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="@displayName">(plCdaRequestedEncounterEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaRequestedEncounterEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:text"
         id="tmp-r-2d27c220-b970-4149-8bb9-950c96a99e2e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:text/hl7:reference"
         id="tmp-r-d60cc143-40ba-4c26-a102-eb964c72d53d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:effectiveTime
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:effectiveTime"
         id="tmp-r-803d5123-cadf-4db3-94b2-ab5c2edb0c97">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:priorityCode
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:procedure/hl7:priorityCode"
         id="tmp-r-e85ebbfb-9689-4c22-a917-c52f4034e80f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaRequestedEncounterEntry): Wartość elementu MUSI wynosić PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaRequestedEncounterEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation"
         id="tmp-r-b67d489a-6d2e-40bc-9a19-d1820b77a9f9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="string(@classCode)='OBS'">(plCdaRequestedEncounterEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaRequestedEncounterEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="string(@moodCode)='RQO'">(plCdaRequestedEncounterEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaRequestedEncounterEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaRequestedEncounterEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:id
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:id"
         id="tmp-r-84dd12fe-b035-4852-b52d-3b9443ae8d7a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:code
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:code"
         id="tmp-r-57cd2a98-219b-4141-a1c7-3b5bca2f3832">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.6')">(plCdaRequestedEncounterEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.6'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="@code">(plCdaRequestedEncounterEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaRequestedEncounterEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="@displayName">(plCdaRequestedEncounterEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaRequestedEncounterEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:text"
         id="tmp-r-c7d4e0e5-0205-43d6-b382-706a7bc6a8dd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:text/hl7:reference"
         id="tmp-r-55ecfdf6-964e-406f-a130-03cc03f8bbda">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:effectiveTime
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:effectiveTime"
         id="tmp-r-f4ca3b53-f53d-4781-a65b-cb3dc2e883e5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.6
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:priorityCode
Item: (plCdaRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.6']/hl7:encounter/hl7:entryRelationship/hl7:observation/hl7:priorityCode"
         id="tmp-r-1daaabb7-4764-4dbc-a71d-b46ac4cff301">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaRequestedEncounterEntry): Wartość elementu MUSI wynosić PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.6-2017-01-02T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaRequestedEncounterEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE)</assert>
   </rule>
</pattern>
